package net.yaoyi.gulop.member.auth.service;


import com.ancun.netsign.model.ContractInput;
import com.ancun.netsign.model.ContractUserInput;
import net.yaoyi.gulop.member.auth.entity.GigConfig;
import net.yaoyi.gulop.member.auth.util.CommonResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface GigConfigService {

    List<GigConfig> getSignList(Long userId);

    CommonResult signContract(Long configId,Long userId) throws IOException;

    CommonResult createContract(ContractInput contractInput);

    CommonResult createContract1(ContractInput contractInput, MultipartFile file) throws IOException;

    CommonResult addSigner(List<ContractUserInput> contractUserInputs);

    CommonResult signCheck(Long contractId, long userId);

    List<GigConfig>  getReportList();

    CommonResult getReportDown(Long configId) throws IOException;
}
